Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class BaseSearchRowTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.ejie.r01f.taglibs.xtags.BaseSearchRowTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  SearchHeaderTag, SearchRowTag

public abstract class BaseSearchRowTag
extends javax.servlet.jsp.tagext.TagSupport

Clase base del xTag de una fila de una lista de resultados de busqueda De esta clase extenderán tanto el tag searchHeader como searchRow El tag tendra la forma: Cada una de las filas (searchRow) ha de registrarse en el padre (search) de forma que no se puede componer el html hasta que no se cierra el padre (search)

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseSearchRowTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getHref()` Devuelve el enlace de la fila del resultado
`void` | `release()` Release any acquired resources.
`void` | `setHref(java.lang.String x)` Establece el enlace de la fila de resultado

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseSearchRowTag

    public BaseSearchRowTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

### doStartTag

    public int doStartTag()

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getHref

    public java.lang.String getHref()

  Devuelve el enlace de la fila del resultado

### setHref

    public void setHref(java.lang.String x)

  Establece el enlace de la fila de resultado

  Parameters:
    `x` - El href del enlace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD